Debian Bug report logs - #639465
RM: postgresql-9.0 -- RoM; Obsoleted by postgresql-9.1

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Martin Pitt <mpitt@debian.org>

Date: Sat, 27 Aug 2011 13:18:01 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#639465; Package ftp.debian.org. (Sat, 27 Aug 2011 13:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
New Bug report received and forwarded. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sat, 27 Aug 2011 13:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Debian BTS Submit <submit@bugs.debian.org>
Subject: RM: postgresql-9.0 -- RoM; Obsoleted by postgresql-9.1
Date: Sat, 27 Aug 2011 15:16:01 +0200
[Message part 1 (text/plain, inline)]
Package: ftp.debian.org
Severity: normal

Last week PostgreSQL released 9.1-rc1, at which point I moved the
package from experimental to unstable and called for a coordinated
transition [1]. Most rdepends of 9.0 have already been migrated now,
just a few are left:

 * postgresql-debversion (already uploaded, sitting in binNEW)
 * pgfincore (http://bugs.debian.org/639460)
 * postgresql-pljava (http://bugs.debian.org/639461)
 * davical (http://bugs.debian.org/639262)

Do you want to wait with the removal until all packages have been
migrated, or can it already be removed in unstable now?

FYI: I'm going to check the remaining rdepends of -8.4 and file bugs
for those as well. As 8.4 has been in stable and in unstable for quite
some time, there are probably a few more.

Thanks,

Martin

[1] http://lists.alioth.debian.org/pipermail/pkg-postgresql-public/2011-August/000570.html
-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#639465; Package ftp.debian.org. (Fri, 02 Sep 2011 23:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Fri, 02 Sep 2011 23:45:06 GMT) Full text and rfc822 format available.

Message #10 received at 639465@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: Martin Pitt <mpitt@debian.org>, 639465@bugs.debian.org
Subject: Re: Bug#639465: RM: postgresql-9.0 -- RoM; Obsoleted by postgresql-9.1
Date: Sat, 03 Sep 2011 01:44:29 +0200
[Message part 1 (text/plain, inline)]
tags 639465 + moreinfo
block 639465 by 639460 639461 640165
thanks


Here's the situation so far.

Waiting for buildds:
* postgresql-debversion: postgresql-9.0-debversion [hurd-i386]
* postgresql-pgmp: postgresql-9.0-pgmp [hurd-i386]
* postgresql-pllua: postgresql-9.0-pllua [hurd-i386]
* postgresql-plproxy: postgresql-9.0-plproxy [hurd-i386]
* postgresql-plsh: postgresql-9.0-plsh [hurd-i386]
* skytools: skytools-modules-9.0 [hurd-i386]

Packages build-depending on postgresql-9.0 packages:
* pgfincore: #639460
* postgresql-pljava: #639461
* pgtap: #640165

-- 
  .''`.
 :  :' :   Luca Falavigna <dktrkranz@debian.org>
 `.  `'
   `-

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) moreinfo. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Fri, 02 Sep 2011 23:45:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 639465: 639461, 639460, and 640165 Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Fri, 02 Sep 2011 23:45:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#639465; Package ftp.debian.org. (Fri, 09 Sep 2011 04:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Fri, 09 Sep 2011 04:45:03 GMT) Full text and rfc822 format available.

Message #19 received at 639465@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: 639465@bugs.debian.org
Cc: mbanck@debian.org, Gerfried Fuchs <rhonda@debian.at>
Subject: Re: RM: postgresql-9.0 -- RoM; Obsoleted by postgresql-9.1
Date: Fri, 9 Sep 2011 06:43:18 +0200
Hello again,

after discussions with Rhonda and Michael Banck, there were some
requirements about keeping 9.0 around in unstable for some more time.

My main concern is to get it out of testing, so that we don't have two
major versions in wheezy. I don't mind maintaining it in unstable for
a couple of months still.

Thanks,

Martin

-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#639465; Package ftp.debian.org. (Fri, 09 Sep 2011 06:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@debian.at>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Fri, 09 Sep 2011 06:33:03 GMT) Full text and rfc822 format available.

Message #24 received at 639465@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.at>
To: Martin Pitt <mpitt@debian.org>
Cc: 639465@bugs.debian.org, mbanck@debian.org
Subject: Re: RM: postgresql-9.0 -- RoM; Obsoleted by postgresql-9.1
Date: Fri, 9 Sep 2011 08:31:04 +0200
   Hi,

* Martin Pitt <mpitt@debian.org> [2011-09-09 06:43:18 CEST]:
> after discussions with Rhonda and Michael Banck, there were some
> requirements about keeping 9.0 around in unstable for some more time.
> 
> My main concern is to get it out of testing, so that we don't have two
> major versions in wheezy. I don't mind maintaining it in unstable for
> a couple of months still.

 Given that the freeze time for wheezy is set to june 2012[1], can we
keep it in testing at least for until the end of the year, until pg 9.1
has been well tested for a while so we won't have to do an exception for
backports?

 I don't see the need to have an overhasty removal from testing at this
point in the release, especially since the next freeze time was clearly
communicated and is expected to hold.

 That would be extra nice, if we keep it around anyway for a while,
please lets also keep it around in wheezy.

 Enjoy!
Rhonda
[1] http://lists.debian.org/debian-devel-announce/2011/06/msg00003.html
-- 
Fühlst du dich mutlos, fass endlich Mut, los      |
Fühlst du dich hilflos, geh raus und hilf, los    | Wir sind Helden
Fühlst du dich machtlos, geh raus und mach, los   | 23.55: Alles auf Anfang
Fühlst du dich haltlos, such Halt und lass los    |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#639465; Package ftp.debian.org. (Mon, 23 Jan 2012 22:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Mon, 23 Jan 2012 22:48:03 GMT) Full text and rfc822 format available.

Message #29 received at 639465@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: Gerfried Fuchs <rhonda@debian.at>, Martin Pitt <mpitt@debian.org>
Cc: mbanck@debian.org, 639465@bugs.debian.org
Subject: Re: Bug#639465: RM: postgresql-9.0 -- RoM; Obsoleted by postgresql-9.1
Date: Mon, 23 Jan 2012 23:46:21 +0100
Hi,

just a quick heads-up to see whether we should keep postgresql-9.0 in
sid/wheezy for a little while, or go ahead with the removal.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#639465; Package ftp.debian.org. (Mon, 23 Jan 2012 23:09:03 GMT) Full text and rfc822 format available.

Message #32 received at 639465@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: 639465@bugs.debian.org
Cc: Gerfried Fuchs <rhonda@debian.at>, Martin Pitt <mpitt@debian.org>, mbanck@debian.org
Subject: Re: Bug#639465: RM: postgresql-9.0 -- RoM; Obsoleted by postgresql-9.1
Date: Tue, 24 Jan 2012 00:04:01 +0100
Luca Falavigna <dktrkranz@debian.org> writes:
> just a quick heads-up to see whether we should keep postgresql-9.0 in
> sid/wheezy for a little while, or go ahead with the removal.

I guess that it would also be removed from backports after a short while
or at least no longer receive updates?  In that case it might be a good
idea to upgrade d.o hosts using postgresql-9.0 to -9.1 first.  (Which in
turn would require postgresql-9.1-debversion for dak.)

Regards,
Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#639465; Package ftp.debian.org. (Sat, 25 Feb 2012 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Pitt <mpitt@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sat, 25 Feb 2012 10:39:05 GMT) Full text and rfc822 format available.

Message #37 received at 639465@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: Ansgar Burchardt <ansgar@debian.org>
Cc: 639465@bugs.debian.org, Gerfried Fuchs <rhonda@debian.at>, mbanck@debian.org
Subject: Re: Bug#639465: RM: postgresql-9.0 -- RoM; Obsoleted by postgresql-9.1
Date: Sat, 25 Feb 2012 11:36:49 +0100
[Message part 1 (text/plain, inline)]
Ansgar Burchardt [2012-01-24  0:04 +0100]:
> I guess that it would also be removed from backports after a short while
> or at least no longer receive updates?  In that case it might be a good
> idea to upgrade d.o hosts using postgresql-9.0 to -9.1 first.  (Which in
> turn would require postgresql-9.1-debversion for dak.)

As we have postgresql-9.1-debversion in sid and testing now, can 9.0
be removed now please?

Thanks!

Martin
-- 
Martin Pitt                        | http://www.piware.de
Ubuntu Developer (www.ubuntu.com)  | Debian Developer  (www.debian.org)
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) moreinfo. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Sat, 25 Feb 2012 11:39:38 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#639465; Package ftp.debian.org. (Sun, 26 Feb 2012 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 26 Feb 2012 20:54:03 GMT) Full text and rfc822 format available.

Message #44 received at 639465@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: Martin Pitt <mpitt@debian.org>
Cc: Ansgar Burchardt <ansgar@debian.org>, 639465@bugs.debian.org, Gerfried Fuchs <rhonda@debian.at>
Subject: Re: Bug#639465: RM: postgresql-9.0 -- RoM; Obsoleted by postgresql-9.1
Date: Sun, 26 Feb 2012 21:50:59 +0100
Hi,

On Sat, Feb 25, 2012 at 11:36:49AM +0100, Martin Pitt wrote:
> Ansgar Burchardt [2012-01-24  0:04 +0100]:
> > I guess that it would also be removed from backports after a short while
> > or at least no longer receive updates?  In that case it might be a good
> > idea to upgrade d.o hosts using postgresql-9.0 to -9.1 first.  (Which in
> > turn would require postgresql-9.1-debversion for dak.)
> 
> As we have postgresql-9.1-debversion in sid and testing now, can 9.0
> be removed now please?

Fine with me; thanks for keeping it around until now!


Michael




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 03 Mar 2012 19:27:33 GMT) Full text and rfc822 format available.

Notification sent to Martin Pitt <mpitt@debian.org>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 19:27:33 GMT) Full text and rfc822 format available.

Message #49 received at 639465-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 639465-close@bugs.debian.org
Cc: postgresql-9.0@packages.debian.org, postgresql-9.0@packages.qa.debian.org
Subject: Bug#639465: Removed package(s) from unstable
Date: Sat, 03 Mar 2012 19:26:09 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libecpg-compat3 |    9.0.4-1 | hurd-i386
libecpg-dev |    9.0.4-1 | hurd-i386
  libecpg6 |    9.0.4-1 | hurd-i386
libpgtypes3 |    9.0.4-1 | hurd-i386
 libpq-dev |    9.0.4-1 | hurd-i386
    libpq5 |    9.0.4-1 | hurd-i386
postgresql |    9.0.4-1 | all
postgresql-9.0 |    9.0.4-1 | source
postgresql-9.0 |    9.0.6-1 | source, amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
postgresql-9.0-dbg |    9.0.6-1 | amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
postgresql-client |    9.0.4-1 | all
postgresql-client-9.0 |    9.0.6-1 | amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
postgresql-contrib |    9.0.4-1 | all
postgresql-contrib-9.0 |    9.0.6-1 | amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
postgresql-doc |    9.0.4-1 | all
postgresql-doc-9.0 |    9.0.4-1 | all
postgresql-doc-9.0 |    9.0.6-1 | all
postgresql-plperl-9.0 |    9.0.6-1 | amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
postgresql-plpython-9.0 |    9.0.6-1 | amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
postgresql-pltcl-9.0 |    9.0.6-1 | amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
postgresql-server-dev-9.0 |    9.0.6-1 | amd64, armel, armhf, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc

------------------- Reason -------------------
RoM; Obsoleted by postgresql-9.1
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close Bugs which have been reported against this package
automatically.  But please check all old bugs, if they where closed
correctly or should have been re-assign to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 639465@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/639465

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Apr 2012 07:46:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:38:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.